readfile
realpath
Filesystem Functions
PHP Manual

# readlink

(PHP 4, PHP 5)

readlink — Returns the target of a symbolic link

### Description

string readlink ( string `$path` )

readlink() does the same as the readlink C function.

### Parameters

`path`

  The symbolic link path.

### Return Values

Returns the contents of the symbolic link path or `FALSE` on error.

### Examples

Example #1 readlink() example

`<?php
// output e.g. /boot/vmlinux-2.4.20-xfs
echo readlink('/vmlinuz');
?>`

### Notes

> Note: This function is not implemented on Windows platforms.

### See Also

- is_link()
- symlink()
- linkinfo()

readfile
realpath
Filesystem Functions
PHP Manual